# NOTE: This specfile is generated from upstream at https://github.com/rhinstaller/lorax
# NOTE: Please submit changes as a pull request
%define debug_package %{nil}

Name:           mkksiso835
Version:        35.5
Release:        2%{?dist}
Summary:        mkksiso from lorax 35.x for RHEL 8

License:        GPLv2+
URL:            https://github.com/weldr/lorax
# To generate Source0 do:
# git clone https://github.com/weldr/lorax
# git checkout -b archive-branch lorax-%%{version}-%%{release}
# tito build --tgz
Source0:        lorax-%{version}.tar.gz
Patch1:         lorax-35.5-grub2-fonts.patch

BuildRequires:  python3-devel
BuildRequires:  make

%description
mkksiso from lorax 35.x for RHEL 8 

%prep
%setup -q -n lorax-%{version}

%patch1 -p1

%build

%install
mkdir -p %{buildroot}/%{_sbindir}
install -m 0755 src/sbin/mkksiso %{buildroot}/%{_sbindir}/mkksiso

mkdir -p %{buildroot}/%{_mandir}/man1/
install -m 0644 docs/man/mkksiso.1 %{buildroot}/%{_mandir}/man1/mkksiso.1


%files
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS
%doc docs/lorax.rst docs/livemedia-creator.rst docs/product-images.rst
%doc docs/*ks
%{_sbindir}/mkksiso
%{_mandir}/man1/mkksiso.1*

%changelog
* Tue Jul 13 2021 Adam Miller <admiller@redhat.com> - 35.5-2
- Initial package pulling mkksiso out of lorax package for RHEL 8

